/* Copyright (c) 2009 The Regents of the Signet Group.
*  All rights reserved.
*
*  Permission to use, copy, modify, and distribute this software and its
*  documentation for any purpose, without fee, and without written
*  agreement is hereby granted, provided that the above copyright
*  notice, the (updated) modification history and the author appear in
*  all copies of this source code.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS `AS IS'
*  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
*  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, LOSS OF USE, DATA,
*  OR PROFITS) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
*  THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef KEY_STORAGE_H
#define KEY_STORAGE_H

#define UQ_KEY_STORAGE_CLIENT "Unique.KeyStorageP.client"
#define UQ_KEY_STORAGE_STORAGE "Unique.KeyStorageP.storage"

enum{
	AM_KEYSTORAGE_SERIAL_UPDATE=135,//now in sync with Synapse_msgs.h
	AM_KEYSTORAGESERIALUPDATE_MSG=AM_KEYSTORAGE_SERIAL_UPDATE,// For MIG
	AM_KEYSTORAGESERIALUPDATE_ACK=AM_KEYSTORAGE_SERIAL_UPDATE,// For MIG
	KEYSTORAGE_KEY_MAX_SIZE=24,
};

typedef nx_struct KeyStorageSerialUpdate_msg{
    nx_uint8_t storageIndex;
    nx_uint8_t keyIndex;
    nx_uint8_t key[KEYSTORAGE_KEY_MAX_SIZE];
}KeyStorageSerialUpdate_msg;
typedef nx_struct KeyStorageSerialUpdate_ack{
}KeyStorageSerialUpdate_ack;

#endif /* KEY_STORAGE_H */
